function testCamera
%demonstrate virtual camera
%one side
square = [ -1 -1 1; -1 1 1; 1 1 1; 1 -1 1]';
%rest of cube
cube = [-square, square, ...
        [square(2,:) ; square(3,:) ; square(1,:)], ...
        -[square(2,:) ; square(3,:) ; square(1,:)]];


%calculate 3d to 2d projection
result = camera(cube, [1,1,1]', 45, [0;0;0], 1);

%hack to remove previous plot
subplot(1,1,1), polygon3(cube(:,1:4));
%before
subplot(1,2,1), polygon3(cube(:,1:4));
subplot(1,2,1), hold on;
subplot(1,2,1), polygon3(cube(:,5:8));
subplot(1,2,1), polygon3(cube(:,9:12));
subplot(1,2,1), polygon3(cube(:,13:16));


%show result
reset (gcf );
subplot(1,2,2), hold off;
subplot(1,2,2), axis manual;
subplot(1,2,2), axis([-5,5,-5,5]);
subplot(1,2,2), reset(gcf)
subplot(1,2,2), hold on;
subplot(1,2,2), polygon(result(:,1:4));
subplot(1,2,2), polygon(result(:,5:8));
subplot(1,2,2), polygon(result(:,9:12));
subplot(1,2,2), polygon(result(:,13:16));
