function i = I(X,Y, x,y)
%return a matrix with a blurred sine curve
sigma=2;
%distance to sine curve:
d = abs((x .* cos(X)) + y .* sin(X) - Y);
%apply Gaussian blurring
i = (1 / (sqrt(2*pi)*sigma)) * exp(1) .^ ((d.^2) ./ (-2*sigma^2));
