function result = slowSineDecay(x, y, rmax, width, height)

%sampling grid
xx = -pi:(2*pi/width):pi;
%create matrix from grid
result = zeros(height+1, width+1);
curve = x*cos(xx)+y*sin(xx);
curve = round((curve+rmax)*(height/(2*rmax)));
for a = 1:width
    result(curve(a), a) = 1;
    %result(curve(a), a+1) = 1;
end


%Apply closing operator to close gaps in the curve
SE = strel('disk', 3);
result = imdilate(result, SE);
result = imerode(result, SE);
